/*
  hook.c
  David Rowe 19 May 2009

  Checks hook detect bit from mp driver.
*/

/*
  Copyright (C) 2009 David Rowe
 
  All rights reserved.
 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 2, as
  published by the Free Software Foundation.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "../driver/mp.h"

int main(void) {
    int    fd, hook;

    fd = open("/dev/mp", O_RDWR);
    if( fd == -1 ) {
	printf("/dev/mp open error...\n");
	exit(0);
    }
	
    ioctl(fd, MP_HOOK, &hook);
    printf("hook = %d\n", hook);

    close(fd);

    return 0;
}
